! ax+by=GCD(a,b)となる整数x,yとGCD(a,b)を求める
input a,b  
call Euclid(a,b,x,y,g)
print x,y,g
end
!
external sub Euclid(a,b,x,y,g)
let q=int(a/b)
let r=mod(a,b) 
if r=0 then
  let x=0
  let y=1
  let g=b
else 
  call Euclid(b,r,u,v,g)
  let x=v
  let y=u-q*v
end if
end sub
